open Parser

let to_string tok = 
  match tok with
      RIGHT_ARROW           -> "(Token ->)"
    | LEFT_ARROW            -> "(Token <-)"
    | LEFT_RIGHT_ARROW      -> "(Token <->)"
    | LBRACE                -> "(Token {)"
    | RBRACE                -> "(Token })"
    | VOC_START (c, (f, l)) -> ("(Token VOC_START: " ^ String.make 1 c ^ 
                                ", filename: " ^ f ^ ", lineno: " ^
                                string_of_int l ^ ")")
    | WORD_START c          -> "(Token WORD_START: " ^ String.make 1 c ^ ")"
    | CHAR c                -> "(Token CHAR: " ^ String.make 1 c ^ ")" 
    | EXAMPLE               -> "(Token EXAMPLE)"
    | EOF                   -> "(Token EOF)"
    | BLANK                 -> "(Token BLANK)"
